#include <iocslib.h>
#include "defines.h"
#include "aigtext.h"

int print16c(int c)
/* 拡張半角(8*16)／全角(16*16)１文字表示 */
{
int col;
_FNTBUF fnt;
	/* 拡張属性が使われていない時はB_PUTC()に任せる（高速化）*/
	/* コントロールコードの時もB_PUTC()に任せる（コントロールコード対応）*/
	col=EX_COLOR(-1);
	if (col==(col&(BIT0123))||c<' ') {
		/* 改行コードの扱いがEX_PUTC16と異なる */
		if (c=='\n') B_PUTC(0x0d); /* 0x0a */
		return(B_PUTC(c));
	}
	if (fontsetc(c,8,&fnt)) return(FONTPUT(&fnt));
	return(-1);
}
